<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.wisdom.pigs">

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />


    <application
        android:name="com.wisdom.pigs.base.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name="com.wisdom.pigs.ui.act1.PigsHomeActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name="com.wisdom.pigs.ui.act1.PigsListActivity"></activity>
<!--        <activity android:name="com.wisdom.pigs.ui.activity.XunHuanActivity"></activity>-->

        <activity android:name="com.wisdom.pigs.ui.activity.BaoJingActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.XunHuanActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.TiaoGuangActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.DingShiActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.EditNameActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.MainTabActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.AddDevice_1_Activity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.EspTouchActivity"></activity>
        <activity android:name="com.wisdom.pigs.ui.activity.DeviceDetailActivity"></activity>
    </application>

</manifest>